@charset "UTF-8";
@import url("https://fonts.googleapis.com/css2?family=M+PLUS+Rounded+1c&display=swap");

body {
  transition: padding-right 0s;
  font-family: "M PLUS Rounded 1c", sans-serif;
  font-style: normal;
  font-weight: 400;
}

.fade-animation {
  opacity: 0;
  transform: translateY(30px);
  transition:
    opacity 0.8s ease,
    transform 0.8s ease;
}

.fade-animation.is-visible {
  opacity: 1;
  transform: translateY(0);
}

.wrapper {
  margin-top: 70px;
}

.nazotoki__header {
  position: fixed;
  top: 0;
  z-index: 5;
  width: 100%;
}

.nazotoki__header__menu__bottom__logo {
  margin: auto;
}

.nazotoki__header__area {
  background: #bfa982;
  box-shadow: 0 1px 8px rgba(0, 0, 0, 0.1);
  padding: 20px 16px 20px 16px;
}

.nazotoki__header__open__btn {
  cursor: pointer;
}

.nazotoki__header__close__btn {
  cursor: pointer;
}

.nazotoki__header__menu__area {
  background: #bfa982;
  position: relative;
  z-index: 1;
  padding: 120px 32px;
  height: 100%;
  overflow-y: auto;
  transform: translateX(400px);
  transition: all.2s;
  z-index: 2;
}

.nazotoki__header__area__flex {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nazotoki__header_menu {
  position: fixed;
  right: 0;
  top: 0;
  width: 100%;
  height: 100vh;
  overflow: hidden;
  pointer-events: none;
  z-index: 10001;
}

.nazotoki__header__menu__area {
  background: #bfa982;
  position: relative;
  padding: 80px 32px;
  height: 100%;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
  transform: translateX(100%);
  transition: transform 0.3s ease;
  z-index: 2;
  max-width: 420px;
  margin: auto 0 auto auto;
}

.nazotoki__header_menu:after {
  position: fixed;
  width: 100%;
  height: 100%;
  display: block;
  content: "";
  background: rgba(0, 0, 0, 0.5);
  top: 0;
  left: 0;
  z-index: 0;
  opacity: 0;
  pointer-events: none;
  transition: all.2s;
  z-index: 1;
}

.nazotoki__header_menu.is-active .nazotoki__header__menu__area {
  transform: translateX(0);
}

.nazotoki__header__close__btn {
  position: absolute;
  right: 16px;
  top: 13px;
}

.nazotoki__header__menu__logo__img {
  margin: auto auto 32px;
}

.nazotoki__header_menu__lead {
  font-size: 16px;
  line-height: 26px;
  text-align: center;
  margin: auto auto 7px;
}

.nazotoki__header__menu__list__col__link {
  color: #000000;
  position: relative;
  padding-right: 48px;
  display: block;
}

.nazotoki__header__menu__list__col {
  border-top: #d2c2a7 2px solid;
  padding: 16px 0;
}

.nazotoki__header__menu__list {
  border-bottom: #d2c2a7 2px solid;
  margin: 8px auto 40px;
}

.nazotoki__header__menu__list__col__link__sub {
  display: block;
  font-size: 12px;
}

.nazotoki__header__menu__list__col__link__main {
  font-size: 16px;
  line-height: 26px;
  font-weight: 700;
  display: block;
}

.nazotoki__header__menu__list__col__link:after {
  content: "";
  width: 32px;
  height: 32px;
  display: block;
  position: absolute;
  background: url(/csr/toki-iku/tokiq-nazotoki/assets/img/icn_arrow_circle_black.svg);
  right: 0;
  top: 0;
  bottom: 0;
  margin: auto;
}

.nazotoki__header__menu__list__col__link[href*="https"]:after {
  background-image: url(/csr/toki-iku/tokiq-nazotoki/assets/img/icn_link_circle_black.svg);
}

.nazotoki__header__menu__social__list {
  display: flex;
  justify-content: center;
  gap: 40px;
}

.nazotoki__header_menu.is-active {
  pointer-events: auto;
}

.nazotoki__header_menu.is-active .nazotoki__header__menu__area {
  transform: translateY(0);
}

.nazotoki__header_menu.is-active:after {
  opacity: 1;
  pointer-events: all;
}

.nazotoki__header__menu__navi__list {
  margin: 72.5px auto 60px;
  display: flex;
  justify-content: center;
  gap: 56px 12px;
  flex-wrap: wrap;
}

.nazotoki__header__menu__navi__list__default{
  margin: 72.5px auto 60px;
  display: flex;
  justify-content: center;
  gap: 56px 12px;
  flex-direction: column;
}

.nazotoki__header__menu__navi__list__link {
  color: #bfa982;
  background: #ffffff;
  border-radius: 8px;
  padding: 18px;
  font-size: clamp(14px, 4vw, 16px);
  font-weight: 700;
  display: block;
  text-align: center;
}

.nazotoki__header__menu__navi__list__link.js-btn-start{
  color: #fff;
  background: #1C4E89;
  position: relative;
}

.nazotoki__header__menu__navi__list__link.js-btn-start::before{
  position: absolute;
  content: "";
  background: url(/csr/toki-iku/tokiq-nazotoki/assets/img/btn_ginza_illust_left.svg) no-repeat;
  width: 70px;
  height: 100%;
  top: 0;
  left: 0;
}

.nazotoki__header__menu__navi__list__link.js-btn-start::after{
  position: absolute;
  content: "";
  background: url(/csr/toki-iku/tokiq-nazotoki/assets/img/btn_ginza_illust_right.svg) no-repeat;
  width: 53px;
  height: 100%;
  top: 0;
  right: 0;
}

.nazotoki__header__menu__machigai__text{
  position: absolute;
  width: 100%;
  top: -30px;
  left: 50%;
  transform: translateX(-50%);
  color: #000;
  font-weight: bold;
  font-size: 15px;
}

.nazotoki__header__controls {
  display: flex;
  align-items: center;
  gap: 10px;
}

.nazotoki__header__counter {
  background: #000;
  border-radius: 100px;
  padding: 3px 13px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.nazotoki__header__counter__text {
  color: #bfa982;
  font-size: 14px;
  font-weight: 700;
  letter-spacing: 0.05em;
  line-height: 1.2;
}

.nazotoki__header__counter__slash {
  font-size: 14px;
  margin: 0 1px;
  color: #828282;
}

.nazotoki__header__controls {
  display: flex;
  justify-content: center;
  align-items: center;
}

/* footer */

.nazotoki__footer {
  background: #bfa982;
  padding: 56px 24px 96px;
  position: relative;
}

.nazotoki__footer__logo__img {
  margin: auto auto 48px;
}

.nazotoki__footer__cookie {
  text-align: center;
  margin: auto auto 40px;
}

.nazotoki__footer__cookielink {
  color: #000000;
  border-bottom: 1px solid;
  font-size: 16px;
}

.nazotoki__footer__text {
  font-size: 14px;
  text-align: center;
}

.nazotoki__footer__nav {
  justify-content: center;
  gap: 12px;
  margin-bottom: 48px;
}

.nazotoki__footer__nav.is-multiple {
  margin-left: auto;
  margin-right: auto;
}

.nazotoki__footer__nav__btn {
  display: block;
  width: 144px;
  padding: 12px 5px;
  background: #fff;
  color: #bfa982;
  text-align: center;
  text-decoration: none;
  font-size: 16px;
  line-height: 26px;
  font-weight: 700;
  border-radius: 8px;
}

@keyframes startFadeUp {
  0% {
    opacity: 0;
    transform: translateY(30px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

@media screen and (max-width: 767px) {
  .for-pc {
    display: none !important;
  }
  .nazotoki__header__menu__navi__list_result{
    flex-direction: column;
  }
  .nazotoki__header__menu__navi__list{
    flex-direction: column;
  }
}

@media screen and (min-width: 768px) {
  .for-sp {
    display: none !important;
  }
  .nazotoki__footer__nav__btn {
    max-width: 368px;
    width: 100%;
    font-size: 18px;
    padding: 16px;
  }

  .nazotoki__footer__nav__item {
    width: 100%;
    max-width: 368px;
  }

  .nazotoki__header__menu__navi__list__col {
    width: 368px;
    text-align: center;
  }

  .nazotoki__header__menu__navi__list__link {
    padding: 16px;
    font-size: 18px;
  }
  .nazotoki__header__menu__area {
    max-width: 50%;
    padding: 80px;
  }

  .nazotoki__header__menu__logo__img {
    width: 195px;
    margin: auto auto 56px;
  }

  .nazotoki__header_menu__lead {
    font-size: 18px;
    margin: auto auto 16px;
  }

  .nazotoki__header__menu__list__col__link__main {
    font-size: 24px;
  }

  .nazotoki__header__menu__list__col__link__sub {
    font-size: 16px;
  }

  .nazotoki__header__menu__social__list__col__link img {
    width: 64px;
  }

  .nazotoki__header__menu__bottom__logo {
    width: 346px;
  }
}
